Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class KineticType

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.KineticType

public class KineticType
extends MutableDataElementSupport

Definition of KinetReactionType defines: - meta information about reaction

todo high check validity of kinetic function
pending to be extended from Referrer, literature references

Inner Class Summary
`public static class` | KineticType.Element This class is used to specify roles for each element in kinetic function.
`public static class` | KineticType.ElementBeanInfo

Constructor Summary
`KineticType(DataCollection origin, String name)`
`KineticType(DataCollection origin, String name, String title, String description, boolean reversible, String function, Element[] elements)`

Method Summary
`Element[]` | `getConstants()`
`String` | `getDescription()`
`Element[]` | `getElements()`
`Element[]` | `getElements(String type)` Returns elements of the specified type.
`String` | `getFunction()`
`Element[]` | `getModifers()`
`Element[]` | `getProducts()`
`Element[]` | `getReactants()`
`String` | `getTitle()`
`boolean` | `isReversible()`
`void` | `setDescription(String description)`
`void` | `setElements(Element[] elements)`
`void` | `setFunction(String function)`
`void` | `setReversible(boolean reversible)`
`void` | `setTitle(String title)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### KineticType

    public KineticType(DataCollection origin, String name)

### KineticType

    public KineticType(DataCollection origin, String name, String title, String description, boolean reversible, String function, Element[] elements)

Method Detail

### getConstants

    public Element[] getConstants()

### getDescription

    public String getDescription()

### getElements

    public Element[] getElements()

### getElements

    public Element[] getElements(String type)

  Returns elements of the specified type.

### getFunction

    public String getFunction()

### getModifers

    public Element[] getModifers()

### getProducts

    public Element[] getProducts()

### getReactants

    public Element[] getReactants()

### getTitle

    public String getTitle()

### isReversible

    public boolean isReversible()

### setDescription

    public void setDescription(String description)

### setElements

    public void setElements(Element[] elements)

### setFunction

    public void setFunction(String function)

### setReversible

    public void setReversible(boolean reversible)

### setTitle

    public void setTitle(String title)

Association Links

to Class java.lang.String

  Short kinetic type name to be used in the diagram as an diagram element title.

to Class java.lang.String

  The reaction description in text or HTML format.

to Class java.lang.String

  Kinetic function that specifies the reaction rate.

to Class biouml.standard.type.KineticType.Element

  Kinetic function elements.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM